<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage streamit
 * @since 1.0
 * @version 1.0
 */
get_header();
$streamit_options = get_option('streamit_options');

$row = "row";
$col = "col-lg-12 col-sm-12";
$flag = 0;
$sidecol = "col-lg-4 col-sm-12 sidebar-service-right";



if(function_exists('get_field') && class_exists('ReduxFramework'))
{
	$options= $streamit_options['streamit_page_variation'];
	if(get_field('acf_key_sidebar') != 'default')  
    {
    	$acf_opt = get_field('acf_key_sidebar');
    	if($acf_opt == "1")
    	{
			$row = "row";
			$col = "col-lg-8 col-sm-12";
			$sidecol = "col-lg-4 col-sm-12 sidebar-service-right";
			if(is_active_sidebar('page-1'))
			{
				$flag = 1;
			}
    	}
    	if($acf_opt == "2")
    	{
    		$row = "row flex-row-reverse";
			$col = "col-lg-8 col-sm-12";
			$sidecol = "col-lg-4 col-sm-12 sidebar-service-left";
			if(is_active_sidebar('page-1'))
			{
				$flag = 1;
			}
    	}
    }
    else
    {
    	if($options == 1)
		{
			$row = "row";
			$col = "col-lg-8 col-sm-12";
			$sidecol = "col-lg-4 col-sm-12 sidebar-service-right";
			if(is_active_sidebar('page-1'))
			{
				$flag = 1;
			}
		}

		if($options == 2)
		{
			$row = "row flex-row-reverse";
			$col = "col-lg-8 col-sm-12";
			$sidecol = "col-lg-4 col-sm-12 sidebar-service-left";
			if(is_active_sidebar('page-1'))
			{
				$flag = 1;
			}
		}
    }
}

if(!empty($options))
{ 
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
		<div class="container">
			<div class="<?php echo esc_attr($row); ?>">
				<div class="<?php echo esc_attr($col); ?>">
				
				<?php
					while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/page/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
					comments_template();
					endif;

					endwhile; // End of the loop.
					wp_reset_postdata();
				?>
				</div>
				
				<?php
				if($flag == 1)
				{ 
				?>
				<div class="<?php echo esc_attr($sidecol); ?>">
					<?php dynamic_sidebar( 'page-1' ); ?>
				</div>
				<?php 
				} 
				?>
				
			</div>
		</div><!-- #primary -->
	</main><!-- #main -->
</div><!-- .container -->
<?php
}

else
{
?>
<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="container">
				<div class="row">

					<div class="col-md-12 col-sm-12">

						<?php
						while ( have_posts() ) : the_post();

						get_template_part( 'template-parts/page/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							
						comments_template();
						endif;

						endwhile; // End of the loop.
						wp_reset_postdata();
						?>
					</div>
				</div>
			</div><!-- #primary -->
		</main><!-- #main -->
	</div><!-- .container -->
	<?php
}
?>
<?php get_footer();
