<?php

/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WordPress
 * @subpackage streamit
 * @since 1.0
 * @version 1.0
 */

get_header();
$streamit_options = get_option('streamit_options');
global $wp_query;
$options = '';
if (isset($streamit_options['streamit_search_variation'])) {
    $options = $streamit_options['streamit_search_variation'];
}
$options_streamit_load = $streamit_options['streamit_display_pagination'];
?>

<div id="primary" class="content-area search-page">
    <main id="main" class="site-main streamit_datapass" data-options="<?php echo $options_streamit_load; ?>">
        <div class="container-fluid">
            <?php
            if ($options == 1) { ?>
                <?php if (!is_active_sidebar('page-1')) { ?>
                    <div class="col-md-12 col-sm-12 row">
                    <?php } else { ?>
                        <div class="col-lg-8 col-sm-12">
                        <?php } ?>

                        <?php
                        if (have_posts()) :
                            /* Start the Loop */
                            while (have_posts()) : the_post();

                                /**
                                 * Run the loop for the search to output the results.
                                 * If you want to overload this in a child theme then include a file
                                 * called content-search.php and that will be used instead.
                                 */
                                get_template_part('template-parts/post/content', 'search');

                            endwhile; // End of the loop.


                        else : ?>
                            <div class="sign-user_card text-center mb-5">
                                <div class="img-not-found mb-3">
                                    <?php
                                    $not_found_img = get_template_directory_uri() . '/assets/images/search.png';

                                    if (isset($streamit_options['streamit_search_banner_image']['url']))
                                        $not_found_img = $streamit_options['streamit_search_banner_image']['url'];
                                    ?>
                                    <img src="<?php echo esc_url($not_found_img, 'streamit'); ?>" class="img-fluid">
                                </div>
                                <p class="search-desc"><?php esc_html__('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'streamit'); ?></p>
                                <div class="search-form-data">
                                    <?php
                                    get_search_form();
                                    ?>
                                </div>
                            </div>
                        <?php
                        endif;
                        ?>
                        </div>
                        <?php


                        if (isset($streamit_options['streamit_display_pagination'])) {

                            $options = $streamit_options['streamit_display_pagination'];

                            if ($options == "load_more") {
                                if ($wp_query->max_num_pages > 1)
                                    echo '<a class="streamit_loadmore_btn btn btn-hover iq-button ml-3" tabindex="0" data-loading-text="' . $streamit_options['streamit_display_blog_loadmore_text_2'] . '">
                                        <span data-parallax="scroll">' . $streamit_options['streamit_display_blog_loadmore_text'] . '</span>
                                    </a>';
                            } elseif ($options == "infinite_scroll") {

                                echo '<div class="loader-wheel-container">                                                                   
                                </div>';
                            } else {
                                streamit_pagination();
                            }
                        }


                        if (is_active_sidebar('page-1')) { ?>
                            <div class="col-lg-4 col-sm-12 sidebar-service-right">
                                <?php dynamic_sidebar('page-1'); ?>
                            </div>
                        <?php } ?>
                    <?php

                } else if ($options == 2) { ?>
                        <?php if (is_active_sidebar('page-1')) { ?>
                            <div class="col-lg-4 col-sm-12 sidebar-service-left">
                                <?php dynamic_sidebar('page-1'); ?>
                            </div>
                        <?php } ?>
                        <?php if (!is_active_sidebar('page-1')) { ?>
                            <div class="col-md-12 col-sm-12">
                            <?php } else { ?>
                                <div class="col-lg-8 col-sm-12">
                                <?php } ?>
                                <?php
                                if (have_posts()) :
                                    /* Start the Loop */
                                    while (have_posts()) : the_post();

                                        /**
                                         * Run the loop for the search to output the results.
                                         * If you want to overload this in a child theme then include a file
                                         * called content-search.php and that will be used instead.
                                         */
                                        get_template_part('template-parts/post/content', 'search');

                                    endwhile; // End of the loop.

                                    streamit_pagination();

                                else : ?>

                                    <p><?php esc_attr_e('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'streamit'); ?></p>
                                <?php
                                    get_search_form();

                                endif;
                                ?>
                            <?php } else { ?>
                                <div class="row">
                                    <?php
                                    if (have_posts()) :
                                        /* Start the Loop */
                                        while (have_posts()) : the_post();

                                            /**
                                             * Run the loop for the search to output the results.
                                             * If you want to overload this in a child theme then include a file
                                             * called content-search.php and that will be used instead.
                                             */
                                            get_template_part('template-parts/post/content', 'search');

                                        endwhile; // End of the loop.
                                    ?>
                                </div>
                            <?php
                                        streamit_pagination();

                                    else : ?>

                                <p><?php esc_attr_e('Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'streamit'); ?></p>
                                <?php
                                        get_search_form();

                                    endif;
                                ?><?php
                                } ?>

                                </div>

                                <?php
                                if (class_exists('MasVideos')) {
                                    $args = array(
                                        'post_type' => 'movie',
                                        'post_status' => 'publish',
                                    );
                                    $upcomming_movie = new \WP_Query($args);
                                    if ($upcomming_movie->have_posts()) { ?>
                                        <div id="iq-upcoming-movie" class="iq-rtl-direction">
                                            <div class="container-fluid">
                                                <div class="row">
                                                    <div class="col-sm-12 overflow-hidden">
                                                        <div class="iq-main-header d-flex align-items-center justify-content-between iq-ltr-direction">
                                                            <h4 class="main-title"><?php echo esc_html__('Upcoming Movies', 'streamit'); ?></h4>
                                                        </div>
                                                        <div class="upcoming-contens">
                                                            <ul class="inner-slider list-inline row p-0 mb-0">
                                                                <?php
                                                                while ($upcomming_movie->have_posts()) {
                                                                    $upcomming_movie->the_post();
                                                                    if (get_field('key_upcoming', get_the_ID())) {
                                                                        $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");
                                                                        $trailer_link = get_field('name_trailer_link', get_the_ID());
                                                                        $movie_run_time = get_post_meta(get_the_ID(), '_movie_run_time');
                                                                        $movie_url_link = get_post_meta(get_the_ID(), '_movie_url_link');
                                                                        $movie_choice = get_post_meta(get_the_ID(), '_movie_choice');
                                                                        $meta = get_post_meta(get_the_ID());

                                                                        $run_time = '';
                                                                        $url_link = '';
                                                                        $censor_rating = '';
                                                                        if (isset($movie_run_time[0])) {
                                                                            $run_time = $movie_run_time[0];
                                                                        }
                                                                        if (isset($movie_censor_rating[0])) {
                                                                            $censor_rating = $movie_censor_rating[0];
                                                                        }

                                                                        if (isset($movie_choice[0])) {
                                                                            if ($movie_choice[0] == 'movie_url') {
                                                                                $url_link = $movie_url_link[0];
                                                                            } else {
                                                                                $url_link = get_the_permalink();
                                                                            }
                                                                        }
                                                                ?>
                                                                        <li class="slide-item">
                                                                            <div class="block-images position-relative">
                                                                                <div class="img-box">
                                                                                    <img src="<?php echo esc_url($full_image[0]) ?>" class="img-fluid" alt="streamit">
                                                                                </div>
                                                                                <div class="block-description">
                                                                                    <h6>
                                                                                        <a href="<?php echo esc_url($url_link); ?>">
                                                                                            <?php the_title(); ?>
                                                                                        </a>
                                                                                    </h6>
                                                                                    <div class="movie-time d-flex align-items-center my-2">
                                                                                        <div class="badge badge-secondary p-1 mr-2"><?php echo esc_html($censor_rating, 'streamit'); ?></div>
                                                                                        <span class="text-white"><?php echo esc_html($run_time, 'streamit'); ?></span>
                                                                                    </div>
                                                                                    <div class="hover-buttons">
                                                                                        <a href="<?php echo esc_url($url_link); ?>" class="btn btn-hover iq-button">
                                                                                            <span><i class="fa fa-play mr-1" aria-hidden="true"></i><?php echo esc_html__('Play Now', 'streamit'); ?></span>
                                                                                        </a>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="block-social-info">
                                                                                    <ul class="list-inline p-0 m-0 music-play-lists">
                                                                                        <?php if (isset($streamit_options['streamit_display_social_icons'])) {
                                                                                            if ($streamit_options['streamit_display_social_icons'] == 'yes') {
                                                                                        ?>
                                                                                                <li class="share">
                                                                                                    <span><i class="ri-share-fill"></i></span>
                                                                                                    <div class="share-box">
                                                                                                        <div class="d-flex align-items-center">
                                                                                                            <a href="https://www.facebook.com/sharer?u=" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-facebook-fill"></i></a>
                                                                                                            <a href="http://twitter.com/intent/tweet?text=Currentlyreading" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-twitter-fill"></i></a>
                                                                                                            <a href="#" data-link='<?php the_permalink(); ?>' class="share-ico iq-copy-link"><i class="ri-links-fill"></i></a>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </li>
                                                                                        <?php }
                                                                                        } ?>
                                                                                        <?php if (isset($streamit_options['streamit_display_like'])) {
                                                                                            if ($streamit_options['streamit_display_like'] == 'yes') {
                                                                                        ?>
                                                                                                <li>
                                                                                                    <div class="iq-like-btn"><?php echo do_shortcode('[wp_ulike for="movie" id="' . get_the_ID() . '" style="wpulike-heart"]'); ?></div>
                                                                                                </li>
                                                                                        <?php }
                                                                                        } ?>
                                                                                        <li>
                                                                                            <?php
                                                                                            if (!is_user_logged_in()) {
                                                                                                if (isset($streamit_options['streamit_signin_link'])) {
                                                                                                    $streamit_signin_link = $streamit_options['streamit_signin_link'];

                                                                                            ?>
                                                                                                    <a class="watch-list-not" href="<?php echo esc_url(site_url() . '/' . $streamit_signin_link) ?>">
                                                                                                        <span><i class="ri-add-line"></i></span>
                                                                                                    </a>
                                                                                                <?php }
                                                                                            } else {
                                                                                                ?>
                                                                                                <a class="watch-list" rel="<?php echo get_the_ID(); ?>">
                                                                                                    <?php
                                                                                                    echo add_to_watchlist(get_the_ID());
                                                                                                    ?>
                                                                                                </a>
                                                                                            <?php } ?>
                                                                                        </li>
                                                                                    </ul>
                                                                                </div>
                                                                            </div>
                                                                        </li>
                                                                <?php
                                                                    }
                                                                }

                                                                ?>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                <?php }
                                } ?>
                            </div>
    </main><!-- #main -->
</div><!-- container -->
<?php get_footer();
