<?php
get_header();

$streamit_options = get_option('streamit_options');
$options = $streamit_options['streamit_blog_type'];
if (function_exists('set_post_view')) {
    set_post_view();
}                              
$video_url_link = get_post_meta(get_the_ID(), '_video_url_link');
$video_run_time = get_post_meta(get_the_ID(), '_video_run_time');
$run_time = '';
if (isset($video_run_time[0])) {
   $run_time = $video_run_time[0];
}
?>
<div id="primary" class="content-area">
   <main id="main" class="site-main">

      <div class="main-content movi pt-0">
         <div class="container-fluid">

            <div class="row">
               <div class="col-lg-12">
                  <div class="video-container iq-main-slider">
                     <?php
                     while (have_posts()) : the_post();

                        masvideos_get_template_part('content', 'single-video');

                     endwhile; // end of the loop.
                     ?>
                  </div>
                  <div class="trending-info g-border">
                     <h3 class="trending-text big-title text-uppercase mt-0"><?php the_title(); ?></h3>
                     <ul class="p-0 mt-2 list-inline d-flex align-items-center movie-content movie-space-action">
                        <?php
                        $wp_object = wp_get_post_terms(get_the_ID(), 'video_cat');
                        if (!empty($wp_object)) {
                           foreach ($wp_object as $val) {

                        ?>
                              <li class="text-white"><?php echo esc_html($val->name, 'streamit'); ?></li>

                        <?php }
                        } ?>
                     </ul>
                     <div class="d-flex align-items-center text-white text-detail ">
                        <span class="badge badge-secondary p-1 mr-2">
                           <?php
                           if (function_exists('set_post_view')) {
                           ?>
                              <i class="fa fa-eye"></i>
                           <?php if (get_post_view() == 0) {
                                 echo esc_html('0 views');
                              } else {
                                 echo get_post_view();
                              };
                           }
                           ?></span>
                        <span class="span"><?php echo esc_html($run_time); ?></span>
                        <span class="trending-year"><?php echo get_the_date('M Y'); ?></span>
                     </div>
                     <div class="trending-dec w-100 video-top-space">
                        <?php
                        if (!empty(get_the_content())) {
                           the_content();
                        } else {
                           echo esc_html__('Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s.');
                        }
                        ?>
                     </div>
                     <ul class="list-inline p-0 m-0 share-icons music-play-lists">
                     <?php if (isset($streamit_options['streamit_display_social_icons'])) {
                        if ($streamit_options['streamit_display_social_icons'] == 'yes') {
                     ?>
                        <li class="share">
                           <span><i class="ri-share-fill"></i></span>
                           <div class="share-box">
                              <div class="d-flex align-items-center">
                                 <a href="https://www.facebook.com/sharer?u=" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-facebook-fill"></i></a>
                                 <a href="http://twitter.com/intent/tweet?text=Currentlyreading" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-twitter-fill"></i></a>
                                 <a href="#" data-link='<?php the_permalink(); ?>' class="share-ico iq-copy-link"><i class="ri-links-fill"></i></a>
                              </div>
                           </div>
                        </li>
                        <?php }
                     } ?>
                     <?php if (isset($streamit_options['streamit_display_like'])) {
                        if ($streamit_options['streamit_display_like'] == 'yes') {
                     ?>                        
                        <li>
                           <div class="iq-like-btn"><?php echo do_shortcode('[wp_ulike for="video" id="' . get_the_ID() . '" style="wpulike-heart"]'); ?></div>
                        </li>
                        <?php }
                     } ?>
                        <li>
                           <?php
                           if (!is_user_logged_in()) {
                              if (isset($streamit_options['streamit_signin_link'])) {
                                 $streamit_signin_link = get_page_link($streamit_options['streamit_signin_link']);

                           ?>
                                 <a class="watch-list-not" href="<?php echo esc_url($streamit_signin_link) ?>">
                                    <span><i class="ri-add-line"></i></span>
                                 </a>
                              <?php }
                           } else {
                              ?>
                              <a class="watch-list" rel="<?php echo get_the_ID(); ?>">
                                 <?php
                                 if (function_exists('add_to_watchlist')) {
                                    echo add_to_watchlist(get_the_ID());
                                 }
                                 ?>
                              </a>
                           <?php } ?>
                        </li>
                     </ul>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <?php
      if (isset($streamit_options['streamit_display_upcoming'])) {
         if ($streamit_options['streamit_display_upcoming'] == 'yes') {
            $args = array(
               'post_type' => 'video',
               'post_status' => 'publish'
            );
            $upcomming_video = new \WP_Query($args);
            if ($upcomming_video->have_posts()) {
      ?>
               <div id="iq-upcoming-video" class="iq-rtl-direction">
                  <div class="container-fluid">
                     <div class="row m-0">
                        <div class="col-sm-12 overflow-hidden p-0">
                           <div class="iq-main-header d-flex align-items-center justify-content-between iq-ltr-direction">
                              <h4 class="main-title">
                                 <?php if (!empty($streamit_options['streamit_upcoming_title'])) {
                                    echo esc_attr($streamit_options['streamit_upcoming_title'], 'streamit');
                                 } else {
                                    echo __('Upcoming videos', 'streamit');
                                 } ?>
                              </h4>
                           </div>
                           <div class="upcoming-contens">
                              <ul class="inner-slider list-inline row p-0 mb-0">
                                 <?php
                                 while ($upcomming_video->have_posts()) {
                                    $upcomming_video->the_post();
                                    if (get_field('key_upcoming', get_the_ID())) {
                                       $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), "full");
                                       $trailer_link = get_field('name_trailer_link', get_the_ID());
                                       $video_run_time = get_post_meta(get_the_ID(), '_video_run_time');
                                       $video_url_link = get_post_meta(get_the_ID(), '_video_url_link');
                                       $video_choice = get_post_meta(get_the_ID(), '_video_choice');
                                       $meta = get_post_meta(get_the_ID());

                                       $run_time = '';
                                       $url_link = '';
                                       if (isset($video_run_time[0])) {
                                          $run_time = $video_run_time[0];
                                       }
                                       if (isset($video_choice[0])) {
                                          if ($video_choice[0] == 'video_url') {
                                             $url_link = $video_url_link[0];
                                          } else {
                                             $url_link = get_the_permalink();
                                          }
                                       }
                                 ?>
                                       <li class="slide-item">
                                          <div class="block-images position-relative">
                                             <div class="img-box">
                                                <img src="<?php echo esc_url($full_image[0]) ?>" class="img-fluid" alt="streamit">
                                             </div>
                                             <div class="block-description">
                                                <h6>
                                                   <a href="<?php echo esc_url($url_link); ?>">
                                                      <?php the_title(); ?>
                                                   </a>
                                                </h6>
                                                <div class="video-time d-flex align-items-center my-2">
                                                   <span class="text-white"><?php echo esc_html($run_time); ?></span>
                                                </div>
                                                <div class="hover-buttons">
                                                   <a href="<?php echo esc_url($url_link); ?>" class="btn btn-hover iq-button">
                                                      <span><i class="fa fa-play mr-1" aria-hidden="true"></i><?php echo esc_html('Play Now', 'streamit'); ?></span>
                                                   </a>
                                                </div>
                                             </div>
                                             <div class="block-social-info">
                                                <ul class="list-inline p-0 m-0 music-play-lists">
                                                   <?php if (isset($streamit_options['streamit_display_social_icons'])) {
                                                      if ($streamit_options['streamit_display_social_icons'] == 'yes') {
                                                   ?>
                                                         <li class="share">
                                                            <span><i class="ri-share-fill"></i></span>
                                                            <div class="share-box">
                                                               <div class="d-flex align-items-center">
                                                                  <a href="https://www.facebook.com/sharer?u=" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-facebook-fill"></i></a>
                                                                  <a href="http://twitter.com/intent/tweet?text=Currentlyreading" target="_blank" rel="noopener noreferrer" class="share-ico"><i class="ri-twitter-fill"></i></a>
                                                                  <a href="#" data-link='<?php the_permalink(); ?>' class="share-ico iq-copy-link"><i class="ri-links-fill"></i></a>
                                                               </div>
                                                            </div>
                                                         </li>
                                                   <?php }
                                                   } ?>
                                                   <?php if (isset($streamit_options['streamit_display_like'])) {
                                                      if ($streamit_options['streamit_display_like'] == 'yes') {
                                                   ?>
                                                         <li>
                                                            <div class="iq-like-btn"><?php echo do_shortcode('[wp_ulike for="video" id="' . get_the_ID() . '" style="wpulike-heart"]'); ?></div>
                                                         </li>
                                                   <?php }
                                                   } ?>
                                                   <li>
                                                      <?php
                                                      if (!is_user_logged_in()) {
                                                         if (isset($streamit_options['streamit_signin_link'])) {
                                                            $streamit_signin_link = get_page_link($streamit_options['streamit_signin_link']);

                                                      ?>
                                                            <a class="watch-list-not" href="<?php echo esc_url($streamit_signin_link) ?>">
                                                               <span><i class="ri-add-line"></i></span>
                                                            </a>
                                                         <?php }
                                                      } else {
                                                         ?>
                                                         <a class="watch-list" rel="<?php echo get_the_ID(); ?>">
                                                            <?php
                                                            if (function_exists('add_to_watchlist')) {
                                                               echo add_to_watchlist(get_the_ID());
                                                            }
                                                            ?>
                                                         </a>
                                                      <?php } ?>
                                                   </li>
                                                </ul>
                                             </div>
                                          </div>
                                       </li>
                                 <?php
                                    }
                                 }

                                 ?>
                              </ul>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
      <?php }
         }
      } ?>
      <!-- #primary -->
      <?php if (isset($streamit_options['streamit_video_display_comment'])) {
         if ($streamit_options['streamit_video_display_comment'] == 'yes') {
      ?>
            <div class="iq_comment_block">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <?php


                        // If comments are open or we have at least one comment, load up the comment template.
                        if (comments_open() || get_comments_number()) :
                           comments_template();
                        endif;
                        ?>
                     </div>
                  </div>
               </div>
            </div>
      <?php }
      } ?>
   </main>
   <!-- #main -->
</div>
<!-- .container -->
<?php
get_footer();
